=== debian/changelog ===
flightcrew (0.9.3+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062593

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 08:43:02 +0000

flightcrew (0.9.3+dfsg-2) unstable; urgency=medium

  [ Francois Mazen ]
  * Fix FTBS with Boost 1.83 (Closes: #1056080)
  * Update missing-sources with some xhtml data
  * Bump standard version to 4.6.2
  * Flag patch forwarding as not-needed because upstream code have been archived

  [ Mattia Rizzolo ]
  * Build with -D_FORTIFY_SOURCE=2
  * Bump debhelper compat level to 13
  * Drop explicit dh_missing --fail-missing

 -- Francois Mazen <mzf@debian.org>  Wed, 20 Dec 2023 21:01:55 +0100
