=== debian/control ===
Source: flightcrew
Section: text
Priority: optional
Maintainer: Francois Mazen <mzf@debian.org>
Uploaders: Mattia Rizzolo <mattia@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5),
 cmake,
 debhelper-compat (= 13),
 googletest,
 libboost-date-time-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-regex-dev,
 libboost-system-dev,
 libboost-thread-dev,
 qtbase5-dev,
 libxerces-c-dev,
 pkg-kde-tools,
 zlib1g-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/Sigil-Ebook/flightcrew
Vcs-Git: https://salsa.debian.org/debian/flightcrew.git
Vcs-Browser: https://salsa.debian.org/debian/flightcrew

Package: flightcrew
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 epub-utils,
 sigil,
Description: C++ epub validator
 FlightCrew is an epub validator written in C++. It is used by sigil
 to validate epub files, and may be generally useful for other epub
 creation utilities.

Package: libflightcrew0t64
Provides: ${t64:Provides}
X-Time64-Compat: libflightcrew0v5
Breaks: libflightcrew0v5 (<< ${source:Version})
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libflightcrew0,
Replaces:libflightcrew0v5, 
 libflightcrew0,
Description: C++ library for epub validation
 FlightCrew is an epub validator written in C++. It is used by sigil
 to validate epub files, and may be generally useful for other epub
 creation utilities.
 .
 This package contains the shared library.

Package: libflightcrew-dev
Architecture: all
Section: libdevel
Depends:
 libflightcrew0t64 (<< ${source:Version}.1~),
 libflightcrew0t64 (>= ${source:Version}),
 libboost-exception-dev,
 ${misc:Depends},
Description: C++ library development filesfor epub validation
 FlightCrew is an epub validator written in C++. It is used by sigil
 to validate epub files, and may be generally useful for other epub
 creation utilities.
 .
 This package contains the development headers.
