=== debian/tests/control ===
Tests: flightcrew-cli-test
Depends: flightcrew, expect

Test-Command: xvfb-run ./debian/tests/flightcrew-gui-test
Depends: flightcrew, xvfb, xauth, xdotool
Restrictions: allow-stderr

Tests: flightcrew-dev-test
Depends: libflightcrew-dev, build-essential

Tests: CVE-2019-13032 CVE-2019-13241
Depends: flightcrew
