=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
repacksuffix=+dfsg,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/flightcrew-$1\.tar\.gz/ \
  https://github.com/Sigil-Ebook/flightcrew/tags .*/v?(\d\S+)\.tar\.gz
